package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class MyMvcController {
    @Autowired
    private HelloService helloService;

    @GetMapping(value = "/")
    @ResponseBody
    public String sayHi(String name) {
        return helloService.getMessage(name);
    }
}